Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.IsNotAbstractState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.AbstractState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.IsNotAbstractState

Enclosing class:
  RuleImpl

    protected class RuleImpl.IsNotAbstractState
    extends RuleImpl.AbstractState

`RuleImpl.AbstractState` class for rules for which `Rule.isAbstract()` is `false`.

### Constructor Summary

Constructors
`protected` `IsNotAbstractState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply​(StackFrame frame)` Applies this rule for the created traces.
`void` `createTraces​(StackFrame frame)` Creates trace elements for the recorded matches for this rule.
`void` `postApply​(StackFrame frame)` Runs post-applier for this rule for the created traces.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsNotAbstractState

    protected IsNotAbstractState()

### Method Detail

#### createTraces

    public void createTraces​(StackFrame frame)

Creates trace elements for the recorded matches for this rule.

Specified by:
  `createTraces` in class `RuleImpl.AbstractState`
Parameters:
  `frame` - the stack frame context

#### apply

    public void apply​(StackFrame frame)

Applies this rule for the created traces.

Specified by:
  `apply` in class `RuleImpl.AbstractState`
Parameters:
  `frame` - the stack frame in which to execute the applier

#### postApply

    public void postApply​(StackFrame frame)

Runs post-applier for this rule for the created traces.

Specified by:
  `postApply` in class `RuleImpl.AbstractState`
Parameters:
  `frame` - the stack frame in which to execute the post-applier